Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles
Class TilesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tiles.TilesException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CannotAccessMethodException, CannotInstantiateObjectException, CannotRenderException, DefinitionsFactoryException, DigesterDefinitionsReaderException, EvaluationException, FreeMarkerTilesException, InvalidTemplateException, NoSuchAttributeException, NoSuchAttributeException, NoSuchContainerException, NotAServletEnvironmentException, NotAvailableFeatureException, PreparerException, RendererException, TilesAccessException, TilesContainerFactoryException, TilesVelocityException

    public class TilesException

extends java.lang.RuntimeException

Root class for all Tiles-exceptions.

Version:
  $Rev: 819630 $ $Date: 2009-09-28 18:18:57 +0200 (lun, 28 set 2009) $
See Also:
  Serialized Form

Constructor Summary
`TilesException()` Constructor.
`TilesException(java.lang.String message)` Constructor.
`TilesException(java.lang.String message, java.lang.Throwable e)` Create a new `TilesException` from an existing exception.
`TilesException(java.lang.Throwable e)` Create a new `TilesException` wrapping an existing exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TilesException

    public TilesException()

  Constructor.

### TilesException

    public TilesException(java.lang.String message)

  Constructor.

  Parameters:
    `message` - The error or warning message.

### TilesException

    public TilesException(java.lang.Throwable e)

  Create a new `TilesException` wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the TilesException.

  Parameters:
    `e` - The cause to be wrapped.

### TilesException

    public TilesException(java.lang.String message,
                          java.lang.Throwable e)

  Create a new `TilesException` from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The cause to be wrapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.